Bug 190714 - pygrub menu not full-featured
pygrub menu not full-featured
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brian Brock
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-05-04 13:16 EDT by Brian Brock
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 16:05:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2006-05-04 13:16:36 EDT
pygrub doesn't parse keyboard input while in boot menu.

xen-3.0.2-3

no workaround found.


start an xterm (or login to linux console)

boot a xen guest with bootloader set to /usr/bin/pygrub:
xm create -c guest1

hit 'a' during the boot process at the pygrub menu.

no detectable effect on bot process.


Expected to edit the kernel command line


This prevents disabling selinux in guests or single-user mode startup in guests,
which greatly hinders debugging.
Comment 1 Jeremy Katz 2006-05-04 13:22:31 EDT
Not so much "not parsing input" as "doesn't have everything implemented" ;-)

I'll try to flesh out basic command line editing later, as it shouldn't be that
bad to do.
Comment 2 Jeremy Katz 2006-09-21 16:05:26 EDT
This is done now

Note You need to log in before you can comment on or make changes to this bug.